# 5.3.2 5.3.2.	Affection et commentaire
entier = 1
mon_reel = 3.4
PI = 3.14 	# fausse constante, juste une convention
hello = "hello world"
coucou = 'coucou'
b = True
nop = False
a, b = 1, 2 # a vaut 1 et b vaut 2

# 5.3.3	Opérateurs sur les types
s = "7"
entier = eval(s) 	# entier vaut 7
entier = int('1')	# entier vaut1

# 5.4.1	ECRIRE en Python
a = 1
x = 8.7
s = "hello"
print("mes variables sont a avec la valeur", a, 'b avec la valeur',b,'et s =',s)
# affiche mes variables sont a avec la valeur 1 b avec la valeur 8.7 et s hello
print("a sans espace par defaut", a, sep='')
# affiche a sans espace par defaut1
print("sans saut ", end="")
print("de ligne")
# affiche saut de ligne

# 5.4.2.	LIRE en Python
entree = input('Veuillez entrer un entier') # entree est une string
print(type(entree)) 	# <class str>
entree = int(entree) # entree est un entier, eval(entree) pour être plus générique
print(type(entree)) 	# <class 'int'>

# 5.5.1.	Opérateurs arithmétiques
a = 1
b = 2 
c = a + b 
print("c vaut", c) 	# affiche c vaut 3 
a += b
print("a vaut", a) 	# affiche a vaut 3 

# 5.5.2.	Opérateurs de comparaison
print(1 == 1) 	# affiche True 
print(1 != 1) 	# affiche False
print(1 > 1) 	# affiche False

# 5.5.3.	Opérateurs logiques
print(True and False) 	# affiche False 
print(1 == 1 or False) 	# affiche True
print(not False) 		# affiche True

# 5.6.	Chaines de caractères
s = "hello world"
print(len(s))		# 11
print(s.index('h'))		# 0
print(s.count('o'))	# 2
res = s + " coucou"	# res vaut hello world coucou
res = s * 2		# res vaut hello worldhello world
